[package]
authors = ["Joshua Barretto <joshua.s.barretto@gmail.com>", "Imbris <imbrisf@gmail.com>"]
edition = "2018"
name = "veloren-voxygen-anim"
version = "0.9.0"

[features]
use-dyn-lib = ["libloading", "notify", "lazy_static", "tracing", "find_folder"]
be-dyn-lib = []
simd = ["vek/platform_intrinsics"]

default = ["simd"]

[dependencies]
common = {package = "veloren-common", path = "../../common"}
find_folder = {version = "0.3.0", optional = true}
# inline_tweak = "1.0.2"
lazy_static = {version = "1.4.0", optional = true}
libloading = {version = "0.7", optional = true}
notify = {version = "5.0.0-pre.2", optional = true}
tracing = {version = "0.1", optional = true}
vek = {version = "=0.14.1", features = ["serde"]}
bytemuck = { version="1.4", features=["derive"] }
